package com.liang.service;

import com.liang.entity.BaseCompany;
import com.liang.entity.BaseNation;
import com.liang.entity.BaseSchool;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseNation)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:15
 */
public interface BaseNationService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseNation queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseNation  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseNation> queryByPage(BaseNation baseNation, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseNation 实例对象
     * @return 实例对象
     */
    BaseNation insert(BaseNation baseNation);

    /**
     * 修改数据
     *
     * @param baseNation 实例对象
     * @return 实例对象
     */
    BaseNation update(BaseNation baseNation);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseNation> queryAll();

    /**
     * 获取民族
     *
     * @return
     */
    List<Map<String, String>> getNation();

    /**
     * 获取民族列表
     *
     * @return
     */
    List<BaseNation> getNationList(Map map);
}
